﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model SSCMvc.Models.MaAdmission
@{
    ViewBag.Title = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts
{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    @Content.Script("jquery.lightbox-0.5.js", Url)

<script src="~/Content/datatable/jquery.dataTables.min.js"></script>
<link href="~/Content/datatable/jquery.dataTables.css" rel="stylesheet" />
<script type="text/javascript">
            $(document).ready(function () {
                var lastIdx = null;
                var table = $('#example').DataTable();
                var table = $('#example2').DataTable();
                var table = $('#example3').DataTable();
            });
</script>

    <script type="text/javascript">
        $(function () {
            $('#gallery a').lightBox();
        });
    </script>
}
<link href="../../Content/jquery.lightbox-0.5.css" rel="stylesheet" type="text/css" />
<style type="text/css">
    /* jQuery lightBox plugin - Gallery style */
    #gallery {
        padding: 0px;
        width: 300px;
    }

        #gallery img {
            /* border: 5px solid #3e3e3e;
        border-width: 5px 5px 20px;*/
        }

        #gallery a:hover img {
            border: 5px solid #fff;
            border-width: 5px 5px 20px;
            color: #fff;
        }

        #gallery a:hover {
            color: #fff;
        }
</style>
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Prosp. Students Details
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
    string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div>
    <table align="center">
        <tr>
            <td align="left">
                <b>Roll No: </b>@Html.DisplayFor(model => model.RollNo)
            </td>
            <td width="30px"></td>
            <td align="left">
                <b>Name: </b>@Html.DisplayFor(model => model.FirstName) @Html.DisplayFor(model => model.LastName)
            </td>
        </tr>
    </table>
    <br />
    <br />
    @*Tab start here*@
    <div class="container">
        <ul class="tabs">
            <li class="active"><a href="#tab1">Prosp. Students Detail<span id="spPending"></span></a></li>
            <li><a href="#tab2">Course History Detail<span id="spPending"></span></a></li>
            <li>
                <a href="#tab3">Highest Qualification Detail<span id="spOnTIME"></span> </a>
            </li>
            <li><a href="#tab4">Employment History Detail<span id="spCancelled"></span></a></li>
            <li><a href="#tab5">Foll. Up History <span id="spHistory"></span></a></li>
        </ul>
        <div class="tab_container1">
            <div style="display: block; overflow-x:scroll;" id="tab1" class="tab_content">
                <table width="100%">
                    <tr>
                        <td align="left">
                            <fieldset>
                                <legend>General Details</legend>
                                <table style="width: 500px" class="table_style">
                                    <tr>
                                        <td align="left">
                                            DOB
                                        </td>
                                        <td align="left">
                                            @{string dob = string.Format("{0:dd MMM,yyyy}", Model.DOB);
                                            }
                                            @dob
                                        </td>
                                        <td width="50px"></td>
                                        <td>
                                            Husband/Father
                                        </td>
                                        <td>
                                            @Html.DisplayFor(model => model.FatherName)
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            @Html.DisplayNameFor(model => model.Gender)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(model => model.Gender)
                                        </td>
                                        <td width="50px"></td>
                                        <td>
                                            @Html.DisplayNameFor(model => model.Address)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(model => model.Address)
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            @Html.DisplayNameFor(model => model.Mobile)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(model => model.Mobile)
                                        </td>
                                        <td width="50px"></td>
                                        <td>
                                            @Html.DisplayNameFor(model => model.AlternateNo)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(model => model.AlternateNo)
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            @Html.DisplayNameFor(model => model.FacebookId)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(model => model.FacebookId)
                                        </td>
                                        <td align="left"></td>
                                        <td>
                                            @Html.DisplayNameFor(model => model.EmailId)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(model => model.EmailId)
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                            <fieldset>
                                <legend>Enquiry About</legend>
                                <table style="width: 850px" class="table_style">
                                    <tr>
                                        <td width="120px" align="left">
                                            @Html.DisplayNameFor(model => model.EnqAbt)
                                        </td>
                                        <td align="left" width="300px" colspan="4">
                                            @Html.DisplayFor(model => model.EnqAbt)
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                            <fieldset>
                                <legend>Other Detail</legend>
                                <table style="width: 550px" class="table_style">
                                    <tr>
                                        <td width="100px">
                                            @Html.DisplayNameFor(model => model.WalkInType)
                                        </td>
                                        <td align="left">
                                            @Html.DisplayFor(model => model.WalkInType)
                                        </td>
                                        <td align="left" width="200px"></td>
                                        <td align="left">
                                            @Html.DisplayNameFor(model => model.WalkInDate)
                                        </td>
                                        <td>
                                            @{
                                                string wdate = string.Format("{0:dd MMM,yyyy}", Model.WalkInDate);
                                            }
                                            &nbsp;&nbsp;
                                            @wdate
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="100px">
                                            @Html.DisplayNameFor(model => model.Source)
                                        </td>
                                        <td align="left">
                                            @Html.DisplayFor(model => model.Source)
                                        </td>
                                        <td align="left" width="200px"></td>
                                        <td align="left">
                                            @Html.DisplayNameFor(model => model.Other)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(model => model.Other)
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="100px">
                                            User
                                        </td>
                                        <td align="left">
                                            @Html.DisplayFor(model => model.User.Fullname)
                                        </td>
                                        <td align="left" width="200px"></td>
                                        <td align="left">
                                            Reference
                                        </td>
                                        <td align="left">
                                            @Html.DisplayFor(model => model.MaFrmReference.CompName)
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="left">
                                            @Html.DisplayNameFor(model => model.Remarks)
                                        </td>
                                        <td colspan="4" align="left">
                                            @Html.DisplayFor(model => model.Remarks)
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>

                            @{if (Model.EnqAbt == "IELTS" || Model.EnqAbt == "VISA")
                            {
                                <fieldset>
                                    <legend>IELTS Detail</legend>
                                    <table style="width: 500px" class="table_style">
                                        <tr>
                                            <td width="130px">
                                                Country Interested
                                            </td>
                                            <td align="left">
                                                @Html.DisplayFor(model => model.CountryInterested)
                                            </td>
                                            <td align="left" width="200px"></td>
                                            <td align="left" width="120px">
                                                City Preference
                                            </td>
                                            <td>
                                                @Html.DisplayFor(model => model.CityPreference)
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="100px">
                                                @Html.DisplayNameFor(model => model.IELTSExmLearn)
                                            </td>
                                            <td align="left">
                                                @Html.DisplayFor(model => model.IELTSExmLearn)
                                            </td>
                                            <td align="left" width="200px"></td>
                                            <td align="left">
                                                @Html.DisplayNameFor(model => model.IELTSExmRead)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(model => model.IELTSExmRead)
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="100px">
                                                Writing
                                            </td>
                                            <td align="left">
                                                @Html.DisplayFor(model => model.IELTSExmWrit)
                                            </td>
                                            <td align="left" width="200px"></td>
                                            <td align="left">
                                                @Html.DisplayNameFor(model => model.IELTSExmSpkn)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(model => model.IELTSExmSpkn)
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="100px">
                                                Over all
                                            </td>
                                            <td align="left">
                                                @Html.DisplayFor(model => model.IELTSExmOverall)
                                            </td>
                                            <td align="left" width="200px"></td>
                                            <td align="left">
                                                @Html.DisplayNameFor(model => model.DateOfExam)
                                            </td>
                                            <td>
                                                @{
                                string doe = string.Format("{0:dd MMM,yyyy}", Model.DateOfExam);
                                                }
                                                @doe
                                            </td>
                                        </tr>
                                    </table>
                                </fieldset>
                            }
                            }
                        </td>
                        <td align="right" valign="top">
                           
                            <div id="gallery" align="center">
                                @{
                                    //string path = "../../Content/themes/base/images/Documents/" + Model.StudPhoto;


                                    DateTime ttdate = DateTime.Parse(System.Configuration.ConfigurationManager.AppSettings["Datee"]);
                                    DateTime? ccdate = Model.Cdate;
                                    if (ccdate <= ttdate)
                                    {

                                        string path = "../../Content/themes/base/images/Documents/" + Model.StudPhoto;
                                        <a href="@path">
                                            <img align="right" width="240px" height="300px" src="@path" />
                                        </a>

                                    }
                                    else
                                    {
                                        string path = "../../Content/themes/base/images/Documents/" + Model.StudPhoto;
                                        <a href="@path">
                                            <img align="right" width="240px" height="300px" src="@path" />
                                        </a>
                                    }



                                }
                               
                            </div>
                        </td>
                    </tr>
                </table>
                <div>
                    @Html.ActionLink("Edit", "Edit", new { id = Model.Id }) |
                    @Html.ActionLink("Back to List", "Index")
                </div>
                <br />
                <br />
                <script type="text/javascript">

                </script>
            </div>
            <div style="display: block;" id="tab2" class="tab_content">
                <table align="left" class="bordertable">
                    <tr>
                        <td align="left">
                            @Html.Action("_CourseHisDetail")
                        </td>
                    </tr>
                </table>
                <br />
                <br />
            </div>
            <div style="display: block;" id="tab3" class="tab_content">
                <table align="left" class="bordertable">
                    <tr>
                        <td align="left">
                            @Html.Action("_HighestQualiDetail")
                        </td>
                    </tr>
                </table>
            </div>
            <div style="display: block;" id="tab4" class="tab_content">
                <table align="left" class="bordertable">
                    <tr>
                        <td align="left">
                            <table align="left" class="bordertable">
                                <tr>
                                    <td>
                                        @Html.Action("_EmpHistDetail")
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td align="center">
                            <div id="resultsCon">
                            </div>
                        </td>
                    </tr>
                </table>
                <br />
                <br />
            </div>
            <div style="display: block;" id="tab5" class="tab_content">
             
                <table align="left" class="bordertable">
                    <tr>
                        <td align="center">
                            <h2 style="font-size :22px;">
                                Mock Test Follow Up
                            </h2>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            <table align="left" class="bordertable">
                                <tr>
                                    <td>
                                        @Html.Action("_FolloupHistoryMocktest",new {@id = Model.Id})
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td align="center">
                            <div id="resultsCon">
                            </div>
                        </td>
                    </tr>
                </table>
                <br />
                <br />
               
                <table align="left" class="bordertable">
                    <tr>
                        <td align="center">
                            <h2 style="font-size: 22px;">
                                Ielts Follow Up
                            </h2>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            <table align="left" class="bordertable">
                                <tr>
                                    <td>
                                        @Html.Action("_FolloupHistoryIelts", new { @id = Model.Id })
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td align="center">
                            <div id="resultsCon">
                            </div>
                        </td>
                    </tr>
                </table>
                <br />
                <br />

                <table align="left" class="bordertable">
                    <tr>
                        <td align="center">
                            <h2 style="font-size: 22px;">
                                Enquiry Follow Up
                            </h2>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            <table align="left" class="bordertable">
                                <tr>
                                    <td>
                                        @Html.Action("_FolloupHistoryEnquiry", new { @id = Model.EnquiryId })
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td align="center">
                            <div id="resultsCon">
                            </div>
                        </td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
</div>
@*Tab end here*@ 